Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.uzh.ifi.attempto.echocomp
Class ServerDelayMessage

    java.lang.Object
      nextapp.echo2.webrender.ServerDelayMessage
          ch.uzh.ifi.attempto.echocomp.ServerDelayMessage

All Implemented Interfaces:
  java.io.Serializable

    public class ServerDelayMessage

extends nextapp.echo2.webrender.ServerDelayMessage

This class can be used to create user-defined messages in the case of server delay.

Author:
  Tobias Kuhn
See Also:
  Serialized Form

Field Summary

Fields inherited from class nextapp.echo2.webrender.ServerDelayMessage
`ELEMENT_ID_LONG_MESSAGE, ELEMENT_ID_MESSAGE`

Constructor Summary
`ServerDelayMessage(java.lang.String message)` Creates a new server delay message.
`ServerDelayMessage(java.lang.String message, java.lang.String imageLocation)` Creates a new server delay message.

Method Summary
`org.w3c.dom.Element` | `getMessage()`

Methods inherited from class nextapp.echo2.webrender.ServerDelayMessage
`createFromResource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerDelayMessage

    public ServerDelayMessage(java.lang.String message)

  Creates a new server delay message.

  Parameters:
    `message` - The message text.

### ServerDelayMessage

    public ServerDelayMessage(java.lang.String message,
                              java.lang.String imageLocation)

  Creates a new server delay message.

  Parameters:
    `message` - The message text.
    `imageLocation` - A link to the image which is displayed above the text.

Method Detail

### getMessage

    public org.w3c.dom.Element getMessage()

  Specified by:
    `getMessage` in class `nextapp.echo2.webrender.ServerDelayMessage`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2008, Attempto Group, University of Zurich (see http://attempto.ifi.uzh.ch)